# Localization variables for Loop Analyst version beta 5
# First language is English
import os
from cPickle import dump

LanguageCode = "en-us"
language = dict()

# Main application defaults
language["main_GLOBALLibraryName"] = ["Untitled"]
language["main_CMName"] = ["Community Matrix"]
language["main_CMDataSizeAlert"] = [("\nA Community Matrix must have two or more parameters.","Community Matrix Data Error")]
language["main_CMDataSquareAlert"] = [("\nA Community Matrix must be a square matrix.","Community Matrix Data Error")]
language["main_CMDataValueAlert"] = [("\nA Community Matrix must have elements with values of only 1, 0 and -1.","Community Matrix Data Error")]
language["main_CMDataFullySpecifiedAlert"] = [("\nA fully connected Community Matrix is not analyzable via loop analysis.","Community Matrix Data Error")]
language["main_CMDataIsolatedSubsystemAlert"] = [("\nTwo or more variables in the system are isolated from one another in at least one direction.","Community Matrix Data Error")]
language["main_CMNameListAlert"] = [("\nThe number of variable names does not match the number of variables in the community matrix!","Community Matrix Variable Names Error")]
language["main_CMDisplayPathsIn"] = ["Paths in "]
language["main_CMDisplayPathsFrom"] = ["\tPaths from "]
language["main_CMDisplayPathsTo"] = [" to "]
language["main_CMDisplayLoopsIn"] = ["Loops in "]
language["main_CMPredictionMatrix"] = ["Prediction Matrix"]
language["main_CMCorrelationMatrices"] = ["Correlation Matrices\n"]
language["main_CMCorrelationMatricesForInput"] = ["For input at "]
language["main_CMAdjointMatrix"] = ["Adjoint of Negative Community Matrix"]
language["main_CMTotalFeedback"] = ["Total Feedback of Negative Community Matrix"]
language["main_CMWeightedFeedbackMatrix"] = ["Weighted Feedback Matrix"]
language["main_CMWFMPredictionMatrix"] = ["Weighted Prediction Matrix"]
language["main_CMWFMPredictions"] = ["Predictions for weighted feedback "]
language["main_CMChangeInLEMatrix"] = ["Change in Life Expectancy Matrix"]
language["main_CMLibraryName"] = ["Untitled"]
language["main_CMLibraryNotCMAlert"] = [" is not a CommunityMatrix object!"]
language["main_CMLibraryMakeGraphNone"] = ["No graph available.\n(Preferences set to No Graph!)"]
language["main_NewCMName"] = ["Matrix"]
language["main_AppUINewButton"] = ["Create a new community matrix"]
language["main_AppUIEditButton"] = ["Edit the selected community matrix"]
language["main_AppUIDeleteButton"] = ["Delete the selected community matrix"]
language["main_AppUIPageCM"] = ["Community Matrix"]
language["main_AppUIPageGraph"] = ["Graph"]
language["main_AppUIPagePredictions"] = ["Predictons"]
language["main_AppUIPageAdjointT"] = ["Adjoint and T"]
language["main_AppUIPageWFM"] = ["Weighted Feedback"]
language["main_AppUIPageWFP"] = ["Weighted Predictions"]
language["main_AppUIPageLE"] = ["Life Expectancy"]


# Menu items
language["menu_ID_UNDO"] = [("Undo\tCTRL-z"," Undo last action")]
language["menu_ID_REDO"] = [("Redo\tCTRL-SHIFT-Z"," Redo last undone action")]
language["menu_ID_NEWCM"] = [("New CM\tCTRL-n"," Create a new community matrix")]
language["menu_ID_NEWLIB"] = [("New Library\tCTRL-SHIFT-N"," Create a new community matrix library")]
language["menu_ID_OPEN"] = [("Open\tCTRL-o"," Open a community matrix library")]
language["menu_ID_RECENT"] = [("Open Recent","Open a community matrix library from a list of recently opened files")]
language["menu_ID_CLEARLIBS"] = [("Clear Recent","Clears the list of recently opened files")]
language["menu_ID_APPEND"] = [("Append\tCTRL-a"," Append a community matrix library to the current library")]
language["menu_ID_SAVE"] = [("Save\tCTRL-s"," Save a community matrix library")]
language["menu_ID_SAVEAS"] = [("Save As...\tCTRL-SHIFT-S"," Save a community matrix library as")]
language["menu_ID_SAVEGR"] = [("Save Graph...\tCTRL+G","Save a community matrix graph image")]
language["menu_ID_IMPCM"] = [("Import Community Matrix\tCTRL-SHIFT-I"," Import a community matrix or matrices")]
language["menu_ID_EXPAN"] = [("Export Analyses\tCTRL-SHIFT-A"," Export loop analyses")]
language["menu_ID_EXPLIB"] = [("Export Library\tCTRL-SHIFT-L"," Export community matrix library")]
language["menu_ID_EXPGPH"] = [("Export Graph...\tCTRL-SHIFT-G"," Export community matrix graph")]
language["menu_ID_REVERT"] = [("Revert To Saved\tCTRL-SHIFT-R"," Revert to last saved version of the library")]
language["menu_ID_PPREFS"] = [("&Preferences\tCTRL-,"," Set program preferences")]
language["menu_ID_LPREFS"] = [("Library Preferences\tCTRL-<"," Set library preferences")]
language["menu_ID_QUIT"] = [("Quit\tCTRL-q"," Quit Loop Analyst")]
language["menu_ID_CUTCM"] = [("Cut\tCTRL+x"," Cut the selected community matrix")]
language["menu_ID_COPYCM"] = [("Copy\tCTRL+c"," Copy the selected community matrix")]
language["menu_ID_PASTECM"] = [("Paste\tCTRL+v"," Paste a community matrix from the clipboard")]
language["menu_ID_DELCM"] = [("Delete\tCTRL+SHIFT+d"," Delete the selected community matrix")]
language["menu_ID_DUPECM"] = [("Duplicate\tCTRL+d"," Duplicate the selected community matrix")]
language["menu_ID_EDITCM"] = [("Edit\tCTRL+e"," Edit the selected community matrix")]
language["menu_ID_CLIPCM"] = [("Copy Community Matrix\tCTRL-ALT-1"," Copy the selected community matrix")]
language["menu_ID_CLIPGR"] = [("Copy Graph\tCTRL-ALT-2"," Copy the graph image of the selected community matrix")]
language["menu_ID_CLIPPR"] = [("Copy Predictions\tCTRL-ALT-3","Copy the community effect matrix of the selected community matrix")]
language["menu_ID_CLIPAT"] = [("Copy Adjoint and T Matrices\tCTRL-ALT-4","Copy the adjoint of the negative community matrix and its total feedback matrix")]
language["menu_ID_CLIPWF"] = [("Copy Weighted Feedback Matrix\tCTRL-ALT-5"," Copy the weighted feedback matrix of the selected community matrix")]
language["menu_ID_CLIPWP"] = [("Copy Weighted Predictions Matrix\tCTRL-ALT-6"," Copy the weighted predictions matrix of the selected community matrix")]
language["menu_ID_CLIPLE"] = [("Copy Change in Life Expectancy Matrix\tCTRL-ALT-7"," Copy the matrix of predicted changes in life expectancy/turnover of the selected community matrix")]
language["menu_ID_CLIPAN"] = [("Copy Entire Analysis\tCTRL-ALT-A"," Copy output from the entire analysis of a community matrix")]
language["menu_ID_CLIPCO"] = [("Copy Correlations\tCTRL-ALT-C","Copy the predicted correlation matrices of the selected community matrix")]
language["menu_ID_CLIPPA"] = [("Copy Paths\tCTRL-ALT-P","Copy the enumeration of all paths in the selected community matrix")]
language["menu_ID_CLIPLP"] = [("Copy Loops\tCTRL-ALT-L","Copy the enumeration of all loops in the selected community matrix")]
language["menu_ID_HELP"] = [("Help\tCTRL-?"," Help for Loop Analyst")]
language["menu_ID_ABOUT"] = [("About Loop Analyst"," About Loop Analyst")]

# Menu names
language["menu_File"] = ["&File"]
language["menu_Edit"] = ["&Edit"]
language["menu_Analysis"] = ["&Analysis"]
language["menu_Help"] = ["&Help"]

# Dialogs
language["dialog_NewCMDialog"] = ["New Community Matrix"]
language["dialog_NewCMDataAlert"] = [("You did not supply the community matrix data!","Error: No Data")]
language["dialog_NewCMName"] = ["Matrix"]
language["dialog_NewLibraryConfirm"] = [("New Library", "Do you really want to erase the current library?")]
language["dialog_NewLibraryName"] = ["Untitled"]
language["dialog_OpenConfirm"] = [("New Library", "Do you really want to erase the current library?")]
language["dialog_OpenLibraryMessage"] = ["Choose a file"]
language["dialog_OpenLibraryWildcard"] = ["CM Library file (*.cml)|*.cml"]
language["dialog_AppendLibraryMessage"] = ["Choose a file"]
language["dialog_AppendLibraryWildcard"] = ["CM Library file (*.cml)|*.cml"]
language["dialog_SaveLibrary"] = ["Untitled"]
language["dialog_SaveAsLibraryDefaultName"] = ["Untitled.cml"]
language["dialog_SaveAsLibraryMessage"] = ["Save file as ..."]
language["dialog_SaveAsLibraryWildcard"] = ["CM Library file (*.cml)|*.cml"]
language["dialog_SaveGraphMessage"] = ["Save file as ..."]
language["dialog_SaveGraphWildcard"] = ["Graph png file (*.png)|*.png"]
language["dialog_ImportCMMessage"] = ["Choose a file"]
language["dialog_ImportCMWildcard"] = ["Text file (*.txt)|*.txt"]
language["dialog_ImportCMAlert"] = [("\nThe data on line "," are \nin an unrecognizable format")]
language["dialog_ImportCMName"] = ["Matrix"]
language["dialog_ExportAnalysisMessage"] = ["Save file as ..."]
language["dialog_ExportAnalysisWildcard"] = ["Text file (*.txt)|*.txt"]
language["dialog_ExportGraphMessage"] = ["Save file as ..."]
language["dialog_ExportGraphWildcard"] = ["Graph dot file (*.dot)|*.dot"]
language["dialog_PreferencesDialog"] = ["Loop Analyst Preferences"]
language["dialog_PasteCMName"] = ["Copy"]
language["dialog_DuplicateCM"] = ["Copy"]
language["dialog_EditCMDialog"] = ["Edit Community Matrix"]
language["dialog_EditCMDataAlert"] = [("You did not supply the community matrix data!","Error: No Data")]
language["dialog_EditCMName"] = ["Matrix"]
language["dialog_PreferencesGraphColor"] = ["Render graphs in:"]
language["dialog_PreferencesGraphColorChoices"] = [('Back & White','Grayscale','Color')]
language["dialog_PreferencesFontSize"] = ["Display font size (points):"]
language["dialog_PreferencesGraphvizPath"] = ["Path to graphviz's dot command:"]
language["dialog_PreferencesGraphvizPathHelp"] = ["Enter the full path to the dot binary to enable graphing functionality."]
language["dialog_PreferencesWFPrecision"] = ["Weighted Feedback Precision:"]
language["dialog_PreferencesWFCriterion"] = ["Weighted prediction criterion:"]
language["dialog_PreferencesWFPrecisionChoices"] = [('> threshold','>= threshold')]
language["dialog_PreferencesWFThreshold"] = ["Weighted prediction threshold:"]
language["dialog_PreferencesLanguage"] = ["Preferred language:"]
language["dialog_PreferencesLanguageChoices"] = [('English (US)','English (UK)')]
language["dialog_AboutVersion"] = ["Version: "]
language["dialog_AboutAuthor"] = ["by Alexis Dinno"]
language["dialog_AboutBody"] = ["\n\nSoftware for performing qualitative loop analysis. \n\nCopyright (c) Alexis Dinno, 2006-2016. All rights reserved.\n\nFor their guidance in the computery realm, special thanks to:\n\n\tNico Hailey (representing and traversing graphs)\n\tBrendan Coffey (ditto above)\n\tOliver Crow (introducing OOP)\n\tForest Wilkinson (navigating GUI toolkits)\n\tMark Logan (nudging my pythonicity)\n\nI welcome feedback, feature requests and bug reports.\nPlease direct such to me via email with the subject \"LoopAnalyst\"\n "]
language["dialog_NewCMDialogName"] = ["Name of the community matrix:"]
language["dialog_NewCMDialogNameMessage"] = ["Enter the name of the new community matrix here"]
language["dialog_NewCMDialogData"] = ["Matrix Data:"]
language["dialog_NewCMDialogDataMessage"] = ["Enter the data for the community matrix here"]
language["dialog_NewCMDialogVarNames"] = ["Variable Names:"]
language["dialog_NewCMDialogVarNamesMessage"] = ["Enter the names for the variables in the community matrix here"]
language["dialog_HelpTitle"] = ["Don't Panic!"]
language["dialog_HelpBody"] = ["Comprehensive help for Loop Analyst is available\nonline at:\n "]

# Pickle the language.
LanguageFile = open(os.getcwd()+'/'+LanguageCode+'.localization',"w")
dump(language, LanguageFile, -1)
LanguageFile.close()